System.ServiceModel 4.0.0.0 System.ServiceModel.Channels.BindingElement

This class defines the abstract base class for all binding elements used to create peer resolver objects. For specific implementations of this class, please see the documentation for and .

Defines the abstract base class for binding elements used to create peer resolver objects.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new default instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class by duplicating the provided object.

  object to copy when creating this class instance.
- Method
  4.0.0.0
  System.ServiceModel.PeerResolver To be added.

  Creates a peer resolver object with the settings defined on this binding element.

  object that is used to perform peer name to address resolution. The settings on the peer resolver must be defined on the binding element.

- Property
  4.0.0.0
  System.ServiceModel.PeerResolvers.PeerReferralPolicy To be added. To be added.

  Gets and sets the referral policy for peer resolvers created with binding elements created by implementations of this class.